[package]
name = "gitlab"
version = "0.1302.0"
authors = ["Ben Boeckel <ben.boeckel@kitware.com>"]
license = "MIT/Apache-2.0"
description = """
Gitlab API client.
"""
repository = "https://gitlab.kitware.com/utils/rust-gitlab"
documentation = "https://docs.rs/gitlab/0.1302.0"
readme = "README.md"
keywords = ["gitlab", "api"]
categories = ["web-programming", "api-bindings"]
edition = "2018"

[features]
default = ["client_api"]
client_api = ["itertools", "percent-encoding", "reqwest", "thiserror", "graphql_client"]

[dependencies]
base64 = "~0.12"
derive_builder = "~0.9"
itertools = { version = "~0.8", optional = true }
log = "~0.4"
percent-encoding = { version = "^2.0", optional = true }
reqwest = { version = "~0.10.5", features = ["blocking", "json"], optional = true }
thiserror = { version = "^1.0.2", optional = true }

bytes = "~0.5"
chrono = { version = "~0.4", features = ["serde"] }
graphql_client = { version = "~0.8", optional = true }
http = "~0.2"
serde = { version = "~1.0", features = ["derive"] }
serde_json = "^1.0"
serde_urlencoded = "~0.5"
url = "^2.1"

[dev-dependencies]
itertools = { version = "~0.8" }
